/* frexp - extract the fraction and exponent from a double precision number
		   in 8086/8088 format

	Copyright (c) 1984 by JMI Software Consultants, Inc.
*/
#include "acom.h"

DOUBLE frexp(val, ip)
	DOUBLE val;
	INT *ip;
	{
	INT *tip;

	if (val == 0.0)
		*ip = 0;
	else
		{
		tip = (INT *)&val;
		*ip = ((tip[3] >> 4) & 0x7ff) - 0x3fe;
		tip[3] = (tip[3] & 0x800f) + 0x3fe0;
		}
	return (val);
	}
