/* model - memory model dependent code for 8086/88 machines

	Copyright (c) 1984 by JMI Software Consultants, Inc.
*/


#include "acom.h"
#include "host.h"

#define BIG
#ifdef BIG
/* split a pointer into a segment and offset values */

VOID ptr_split(ptro, ptrs, pseg, poff)
	BYTES ptro, ptrs;
	BYTES *pseg, *poff;
	{

	*poff = ptro;
	*pseg = ptrs;
	}

#else
/* split a pointer into a segment and offset values */

VOID ptr_split(ptr, pseg, poff)
	TEXT *ptr;
	BYTES *pseg, *poff;
	{
	SEGREG seg;

	segread(&seg);
	*pseg = seg.s_ds;
	*poff = ptr;
	}

#endif
