/*	adsys.c -- Primary interface to system

	Copyright (c) 1983 by James F. Gimpel
	Copyright (c) 1983, 1984, 1985 by JMI Software Consultants, Inc.
 */
#include "acom.h"

GLOBAL INT _stack = 8192;

/*	balloc(n) will allocate n bytes of storage that
	will have proper storage allignment for pointers.
 */

TEXT *balloc(n)
	LONG n;
	{
	EXFUNC TEXT *calloc();

	return (calloc((BYTES)n, 1));
	}

TEXT *bfree(ps)
	TEXT *ps;
	{
	if (ps)
		free(ps);
	return (NULL);
	}

/*	cexit(n) will return control to the system.
	If n is 0 the return is successful.
 */

VOID cexit(n)
	INT n;
	{
	exit(n);
	}
