/* fmt.h -
	This header contains a description of the structure
	that indicates the encoding of a format.

	Copyright (c) 1984 by JMI Software Consultants, Inc.
*/
struct  coded_format
	{
	BITS  cf_flags;
	COUNT cf_len;
	COUNT cf_left;
	COUNT cf_right;
	};

/*  flags for the cf_flags field */

#define cf_STRING	0001	/* a string format */
#define cf_TMINUS	0002	/* Trailing Minus */
#define cf_LMINUS	0004	/* Leading Minus */
#define cf_LPLUS	0010	/* Leading Plus */
#define cf_AST		0020	/* Asterisk */
#define cf_COMMA	0040	/* Comma */
#define cf_EXPON	0100	/* An exponent */
#define cf_PERIOD	0200	/* A decimal point */
#define cf_DOL		0400	/* A floating $ */
