/*  Global Data - used by all (or at least most) MBASIC programs

	Copyright (c) 1985 by JMI Software Consultants, Inc.
*/
#include "bio.h"
#include "rrd.h"
#include "host.h"

GLOBAL INT      arc = 0;                /* Number of command line arguments */
GLOBAL TEXT   **arv = NULL;             /* Pointers to the argumets */
GLOBAL BYTES    base_seg = 0;
GLOBAL BF     **bfiles = NULL;
GLOBAL COUNT    brd_slot = -1;          /* Current Read slot */
GLOBAL COUNT    bwr_slot = -1;          /* Current Write slot */
GLOBAL TEXT     com_file[64] = {0};
GLOBAL INT      err_code = 0;           /* error code != zero */
GLOBAL INT      err_stmt = 0;           /* statement where error occured */
GLOBAL FILE     fd_com = -1;
GLOBAL BOOL     inp_err = NO;
GLOBAL INT      on_error = 0;           /* error trapping enabled */
GLOBAL BOOL     putdata = NO;
GLOBAL RR       rdc = {0};              /* this needs to be filled in by bfinit */
GLOBAL INT      rr_mode   = RR_NORMAL;  /* mode used by da_read */
GLOBAL INT      rr_normal = RR_NORMAL;  /* INPUT statement */
GLOBAL INT      rr_sinput = RR_SINPUT;  /* INPUT; statement */
GLOBAL INT      rr_input  = RR_INPUT;   /* INPUT$ function */
GLOBAL INT      rr_inkey  = RR_INKEY;   /* INKEY$ function */
GLOBAL BOOL     run_flag = NO;
GLOBAL INT      strlpfx = 0;            /* string length prefix */
GLOBAL INT      trap_err = 0;           /* processing an error trap */
GLOBAL INT      trap_line = 0;          /* index to error trapping routine */
GLOBAL WDTH    *wdlist = NULL;
GLOBAL BOOL    rawrite = NO;        /* set if ouput should go to screen */
