/*	host.h -- host dependent information for IBM PC	and	Lattice	C

	Copyright (c) 1983,	1984 by	 JMI Software Consultants, Inc.
 */

typedef	struct
   {
   BYTES s_es, s_cs, s_ss, s_ds;
   } SEGREG;

typedef	struct
   {
   BYTES ax, bx, cx, dx, si, di, cflag;
   } REGVAL;

#define	CF 0x001	   /* carry				   */
#define	PF 0x004	   /* parity			   */
#define	AF 0x010	   /* auxiliary	carryy	   */
#define	ZF 0x040
#define	SF 0x080	   /* sign				   */
#define	TF 0x100	   /* trap				   */
#define	IF 0x200	   /* interrupt-enable	   */
#define	DF 0x400	   /* direction			   */
#define	OF 0x800	   /* overflow			   */
 
#define	ISDEV 0x0080	/* is this a device		*/
#define	ISCIN 0x0001	/* console input */
#define	ISCOT 0x0002	/* console output */

#define	RR_NORMAL 0x3fb3		/* not used	*/
#define	RR_INKEY  0x0181		/* not used	*/
#define	RR_SINPUT 0x3ff3	 /*	not	used */
#define	RR_INPUT  0x2181	 /*	not	used */

typedef	struct
	{
	TEXT *old_name;		/* BASIC's idea	of a device	name */
	TEXT *new_name;		/* What	C calls	the	same device	 */
	} NAMES;


#define	D_CREATE 0x8002	/* mode	used in	creat calls	*/
#define	D_OPEN	 0x8002	/* mode	used in	open calls */
#define S_IWRITE 0x8180  /* allow user to write to file */
