/*	tmpnam.c contains administrative routines for dealing with 
	temporary files.

	Copyright(c) 1983 by James F. Gimpel
	Copyright (c) 1983, 1984, 1985 by JMI Software Consultants, Inc.
 */
#include "acom.h"

/*	a_tmpnam(filename) will create a unique file name to be used
	as the name of a temporary file to be deleted at the
	end of the program.
 */

TEXT *a_tmpnam(filename)
	TEXT *filename;
	{
	INTERN TEXT letter = 'A';
	strcpy(filename, "bastocX.tmp");
	filename[6] = letter++;
	return (filename);
	}

/*	a_delfile(filename) deletes a file whose name is filename.
	This is used only for deleting temporary files whose
	name was returned via a_tmpnam(). Returns 0 if successful,
	negative if not.
 */

INT a_delfile(filename)
	TEXT *filename;
	{
        return(unlink(filename));
	}
